<div class="modal-header">
  <h4 class="modal-title">Delete Invoice</h4>
  <button type="button" class="close" aria-label="Close" (click)="close()">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <div class="form-group">
    <label for="clients">Select Invoice</label>
    <select ngModel class="form-control" (ngModelChange)="selectInvoice($event)">
      <option disabled hidden [value]="selectUndefinedOptionValue">-- select --</option>
      <option *ngFor="let invoice of invoices" [ngValue]="invoice">{{invoice.id}}</option>
    </select>
  </div>
</div>

<div class="modal-footer">
  <button type="button" class="btn btn-outline-dark" (click)="close()">Cancel</button>
  <button type="submit" class="btn btn-success" (click)="deleteInvoice()">Submit</button>
</div>
